export const spliceImportFrom = (specifier, source) => `import ${specifier} from '${source}';`;
export const spliceImportOrImportFrom = obj => obj.specifier ? spliceImportFrom(obj.specifier, obj.source) : `import '${obj.source}';`;
export const spliceImport = source => `import '${source}';`;
export const spliceExportFrom = (specifier, source) => `export ${specifier} from '${source}';`;
export const spliceExportAll = source => spliceExportFrom('*', source);
export const getFileNameFromFilePath = f => {
  const arr = f.replace(/\//g, '/').split('/');
  const [name] = arr[arr.length - 1].split('.');
  return name;
};
export const removeFileExt = p => p.replace(/\.\w+$/, '');
export const sleep = ms => new Promise(r => setTimeout(r, ms));