"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.filePath = void 0;
exports.generateRenderAppRouter = generateRenderAppRouter;

var _utils = require("./utils");

const filePath = (0, _utils.resolveGenerateRouterPath)('RenderAppRouter.tsx');
exports.filePath = filePath;
const tpl = '/tpl/RenderAppRouter.tsx.tpl';

async function generateRenderAppRouter(api) {
  return api.generateFile.writeFile({
    path: filePath,
    content: api.generateFile.renderTpl(api.generateFile.readTplFile(__dirname, tpl), {})
  });
}